classification
Title: "make altinstall" may clobber OS provided scripts
Type: behavior Stage: needs patch
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, benjamin.peterson, eric.araujo, georg.brandl, ncoghlan
Priority: deferred blocker Keywords: patch

Created on 2010-12-11 11:47 by ncoghlan, last changed 2010-12-28 09:51 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
altinstall_scripts.diff georg.brandl, 2010-12-19 10:03
Messages (5)
msg123784 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-12-11 11:47
"make altinstall" installs "2to3", "pydoc3" and "idle3" without version specific names.

This was at least a deliberate decision in the case of 2to3, but there doesn't appear to be any reason not to use a properly qualified version suffix on the pydoc and idle executables.
msg123785 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-12-11 11:50
Softened the wording, since OS packages will often omit installing any executable files other than the main python binary.
msg123795 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-11 14:21
Yes, this already irked me with previous versions.
msg124335 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-19 10:03
Attaching a patch that should fix it.  The delegation of the links to the Makefile is not ideal, but I don't see how to easily do it otherwise.

While this is reviewed, deferring as it should not block beta2.
msg124776 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-28 09:51
Committed in r87525.
History
Date User Action Args
2010-12-28 09:51:50georg.brandlsetstatus: open -> closed

messages: + msg124776
resolution: fixed
nosy: georg.brandl, ncoghlan, benjamin.peterson, eric.araujo, Arfrever
2010-12-19 10:03:21georg.brandlsetfiles: + altinstall_scripts.diff
nosy: georg.brandl, ncoghlan, benjamin.peterson, eric.araujo, Arfrever
keywords: + patch
2010-12-19 10:03:01georg.brandlsetpriority: release blocker -> deferred blocker
nosy: georg.brandl, ncoghlan, benjamin.peterson, eric.araujo, Arfrever
messages: + msg124335
2010-12-11 18:18:34Arfreversetnosy: + Arfrever
2010-12-11 16:03:32eric.araujosetnosy: + eric.araujo
2010-12-11 14:21:42georg.brandlsetmessages: + msg123795
2010-12-11 11:50:58ncoghlansetmessages: + msg123785
title: "make altinstall" will clobber OS provided scripts -> "make altinstall" may clobber OS provided scripts
2010-12-11 11:47:35ncoghlancreate